#ifndef __ADJ_H__
#define __ADJ_H__

struct adjparm {
    int iden;
    int progr;

    int busy;
    float oldb;
    float b;
    float incr;
    DWORD desired;
    float max;
    DWORD period;
    float acc;
};

void adj_init(void);
void *adj_create(DWORD q, DWORD desired, float maxfb, DWORD period);
void adj_destroy(void *parms);
void adj_setb(void *parms, float band);
float adj_feedb(void *parms, int l);

extern struct reqactions adjactions;
#endif				/* __ADJ_H__ */
